#include<bits/stdc++.h>

using namespace std;

int main(){
    long long n,q;
    cin>>n>>q;
    long long nizG[n],nizW[q];
    for(int i=0;i<n;i++)
    cin>>nizG[i];
    for(long long i=0;i<q;i++)
    cin>>nizW[i];
    for(long long i=0;i<q;i++)
    {
        long long j=1;
        while(nizG[j]<=nizW[i])
        {
            j++;
        }
        long long levo=j-1;
        long long desno=n-j;
        long long pom=abs(levo-desno);
        if((nizW[i]!=nizG[j-1]  ||  n+pom%2!=0) && pom!=0 )
            cout<<pom-1<<endl;
        else
        cout<<pom<<endl;
    }
    return 0;
}